{% set role = "alert" %}
{% if variant and variant|lower != "default" %}
  {% set attributes = attributes|add_class("usa-alert--" ~ variant) %}
  {% if variant|lower == "success" %}
    {% set role = "status" %}
  {% endif %}
  {% if variant|lower == "info" or variant|lower == "warning" %}
    {% set role = "region" %}
  {% endif %}
{% endif %}
{% if no_icon %}
  {% set attributes = attributes|add_class("usa-alert--no-icon") %}
{% endif %}
{% if slim %}
  {% set attributes = attributes|add_class("usa-alert--slim") %}
{% endif %}
<div {{ attributes|add_class("usa-alert") |set_attribute("role", role) }}>
  <div class="usa-alert__body">
    {% if heading %}<h4 class="usa-alert__heading">{{ heading }}</h4>{% endif %}
    {% if message %}<div class="usa-alert__text">{{ message }}</div>{% endif %}
  </div>
</div>
